summaryrefslogtreecommitdiffstats
path: root/usr/bin
diff options
context:
space:
mode:
Diffstat (limited to 'usr/bin')
-rwxr-xr-xusr/bin/cryptosmartcard.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/usr/bin/cryptosmartcard.sh b/usr/bin/cryptosmartcard.sh
index 75d9251..c6cd7fc 100755
--- a/usr/bin/cryptosmartcard.sh
+++ b/usr/bin/cryptosmartcard.sh
@@ -24,6 +24,9 @@
#
# Updated by Timothy Pearson <kb9vqf@pearsoncomputing.net> 6/02/2020
# Use central variable for PKCS library location
+#
+# Updated by Timothy Pearson <kb9vqf@pearsoncomputing.net> 6/03/2020
+# Fix random pool start detection on new kernels
# define counter-intuitive shell logic values (based on /bin/true & /bin/false)
TRUE=0
@@ -129,6 +132,10 @@ if [ $LUKS_KEY_COUNT -gt 0 ]; then
# for enough random data to start PKCS11.
dmesg | grep -q "random: nonblocking pool is initialized" &> /dev/null
RET=$?
+ if [ $RET -ne 0 ]; then
+ dmesg | grep -q "random: fast init done" &> /dev/null
+ RET=$?
+ fi
LOOPS=0
if [ $RET -ne 0 ]; then
msg "Waiting for nonblocking random pool to start..."